<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.mapper.PlatformMapper">

    <resultMap id="BaseResultMap" type="com.tuoheng.model.dto.Platform">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="platformCode" column="platform_code" jdbcType="VARCHAR"/>
            <result property="platformName" column="platform_name" jdbcType="VARCHAR"/>
            <result property="platformUrl" column="platform_url" jdbcType="VARCHAR"/>
            <result property="createUser" column="create_user" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateUser" column="update_user" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="mark" column="mark" jdbcType="TINYINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,platform_code,platform_name,
        platform_url,create_user,create_time,
        update_user,update_time,mark
    </sql>
</mapper>
